package types

/*
	Интерфейс к базы игры
*/

// IBase -- интерфейс к базе игры
type IBase interface {
	ISection
	// Arsenal -- возвращает объект арсенала
	Arsenal() IArsenal
	// Bank -- возвращает объект банка
	Bank() IBank
	// Polygon -- возвращает объект полигона
	Polygon() IPolygon
	// Mine -- возвращает объект шахты
	Mine() IMine
	// Battle -- сражение
	Battle() IBattle
	// Market -- возвращает рынок
	Market() IMarket
}
